Bug 877916 - [ALL_LANG][SAM Web GUI] Some unlocalized messages for creating Organization.
[ALL_LANG][SAM Web GUI] Some unlocalized messages for creating Organization.
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
Nightly
x86_64 Linux
medium Severity medium (vote)
: Unspecified
: 6.0
Assigned To: Katello Bug Bin
SAM QE List
: i18n, Translation, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-19 03:59 EST by Lijun Li
Modified: 2014-09-18 12:47 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-08 14:45:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Unlocalized messages for creating Organization (223.27 KB, image/png)
2012-11-19 04:06 EST, Lijun Li
no flags Details

  None (edit)
Description Lijun Li 2012-11-19 03:59:58 EST
Description of problem:
Some unlocalized messages for creating Organization:
Label can't be blank
Label cannot contain characters other than ascii alpha numerals, '_', '-'.
Label must contain at least 1 character
Label can't be blank
Name must contain at least 1 character
Name can't be blank

A label was not provided during organization creation; therefore, a label of 'xx' was automatically assigned. If you would like a different label, please delete the organization and recreate it with the desired label.

A label was not provided during environment creation; therefore, a label of 'xx' was automatically assigned. If you would like a different label, please delete the environment and recreate it with the desired label.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Move cursor over the Administer menu at the top right corner and click on Manage Organizations
2. Click the + New Organization button.
3. Click the Save button.
4. Input the Organization name.
5. Click the Save button.
6. Input the Organization name and Environment name.
7. Click the Save button.

  
Actual results:
Some unlocalized messages for creating Organization:
Label can't be blank
Label cannot contain characters other than ascii alpha numerals, '_', '-'.
Label must contain at least 1 character
Label can't be blank
Name must contain at least 1 character
Name can't be blank

A label was not provided during organization creation; therefore, a label of 'xx' was automatically assigned. If you would like a different label, please delete the organization and recreate it with the desired label.

A label was not provided during environment creation; therefore, a label of 'xx' was automatically assigned. If you would like a different label, please delete the environment and recreate it with the desired label.

Expected results:
All the messages for creating Organization should be localized.

Additional info:
Comment 1 Lijun Li 2012-11-19 04:06:32 EST
Created attachment 647599 [details]
Unlocalized messages for creating Organization
Comment 2 Lijun Li 2012-11-19 04:08:42 EST
Version-Release number of selected component (if applicable):
katello-headpin-all-1.2.5-1h.el6_3

How reproducible:
100%
Comment 3 Hedda Peters 2012-12-12 20:54:57 EST
Confirmed for de-DE, although some of above mentioned messages now appear partly localized, others still entirely unlocalized.
Comment 4 Hedda Peters 2012-12-12 21:16:11 EST
Same when creating a new Environment, same strings appear partly/unlocalized.
Comment 5 Sam Friedmann 2012-12-13 01:20:29 EST
Same issue with French.
Comment 6 Eunju, Kim 2012-12-13 06:46:49 EST
confirmed for ko-KR, although some of above mentioned messages now appear partly localized, others still entirely unlocalized (eg. Label cannot contain characters other than ascii alpha numerals, '_', '-'.)
Comment 7 Tom McKay 2012-12-18 09:24:27 EST
Mass move of i18n to CFSE where they are present as well
Comment 9 Bryan Kearney 2014-01-08 14:45:35 EST
Closing all L10N bugs until we can do a full translation path through the code.

Note You need to log in before you can comment on or make changes to this bug.